Subject: [[email-masked]: copy of a database in postgres]

From: [email-masked] (Paul M. Aoki)
Date: Fri, 09 Dec 94 15:27:13 -0800

------- Forwarded Message

 From:  David Allan Finch <[email-masked]>
 To:  [email-masked]
 Subject:  Re: copy of a database in postgres
 Date:  Tue, 25 Oct 94 17:09:39 GMT

 |> From: David Allan Finch <[email-masked]>
 |> Message-Id: <[email-masked]>
 |> To: [email-masked]
 |> Subject: Dump/restore a postgres database
 |> Date: Fri, 8 Oct 93 00:07:18 BST
 |> 
 |> Version 0.3 of the ongoing pgperl script...
 |> this version will dump all databases except template1 and
 |> postgres. With a little more work it will store all the stuff
 |> nead to recreate a full database. Tommorow I will hopeful have
 |> a restore script. Which I will use to upgrade to V4.1, If anyone
 |> can see any bugs please tell me. Also it would be nice to dump
 |> indexes, function etc, anyone got any ideas about how to do this?

 Hi,
 
 	For those that may asked; I did not take the script
 	any furthur. For some reason I could not get all
 	the infomation out of the classes before either the
 	backend or pgperl died :-( (we where talking about
 	vast number of records, insome cases 1 insert
 	per-minute over a 3 month period ~ 133000 records per
 	class and we had 30 of these classes)
 
 	PS - we were recording live currency and metal trading,
 	it produces some very pretty graphs :-)
 
 	I not long after that moved companies and I am afraid
 	I don't know what they did with the DB after that.
 
 	If someone is brave enought to finish it, please be my
 	guest as I will not be returning to DB work in the
 	near future.
 
 --
    /     Chair of 1996 British Roleplaying Convention 'ConTraptions'
 /\|/\    Ban all the Orange Books
 | K |    All Hail Discordia
 \___/    [email-masked] & [email-masked]

------- End of Forwarded Message
--
  Paul M. Aoki          |  University of California at Berkeley
  [email-masked]  |  Dept. of EECS, Computer Science Division (#1776) 
                        |  Berkeley, CA 94720-1776